Scilab Function
Last update : 00/00/0000

bezout - équation de Bezout pour les polynômes

### Calling Sequence

  `[pgcd,U]=bezout(p1,p2)`

### Parameters

- `p1, p2` : deux polynômes réels ou deux entiers (type égal à 8)

### Description

`[thegcd,U]=bezout(p1,p2)` calcule le PGCD `pgcd` de `p1` et `p2` et de plus une matrice unimodulaire (2x2) `U` telle que :

`[p1,p2]*U = [pgcd,0]`

Le PPCM de `p1` et `p2` est donné par

`p1*U(1,2)` (ou `-p2*U(2,2)`)

### Examples

    // cas des polynômes
    x=poly(0,'x');
    p1=(x+1)*(x-3)^5;p2=(x-2)*(x-3)^3;
    [pgcd,U]=bezout(p1,p2)
    det(U)
    clean([p1,p2]*U)
    ppcm=p1*U(1,2)
    lcm([p1,p2])
    // cas des entiers
    i1=int32(2*3^5); i2=int32(2^3*3^2);
    [thegcd,U]=bezout(i1,i2)
    V=int32([2^2*3^5, 2^3*3^2,2^2*3^4*5]);
    [thegcd,U]=gcd(V)
    V*U
    lcm(V)

### See Also

`poly`, `roots`, `simp`, `clean`, `lcm`,